package com.njcn.supervision.service.plan;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.bpm.pojo.param.instance.BpmProcessInstanceCancelParam;
import com.njcn.bpm.service.IBpmService;
import com.njcn.supervision.pojo.param.plan.SupervisionPlanParam;
import com.njcn.supervision.pojo.po.plan.SupervisionPlanPO;
import com.njcn.supervision.pojo.vo.plan.SupervisionPlanVO;

/**
 * Description:
 * Date: 2024/5/20  17:49【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface SupervisionPlanPOService extends IBpmService<SupervisionPlanPO> {


    String addPlan(SupervisionPlanParam supvPlanParam);

    String updatePlan(SupervisionPlanParam.UpdateSupvPlanParam supvPlanParam);

    Page<SupervisionPlanVO> pagePlan(SupervisionPlanParam supvPlanParam);

    String initiateAudit(String id);

    SupervisionPlanVO getDetailPlan(String id);

    @Deprecated
    void initiateWarningLeaflet(String id);

    String cancelSuperPlan(BpmProcessInstanceCancelParam cancelReqVO);
}
